package fhg2a.relogo

import repast.simphony.relogo.factories.AbstractReLogoGlobalsAndPanelFactory

/**
 * Defines GUI elements of user panel.
 * 
 */
public class UserGlobalsAndPanelFactory extends AbstractReLogoGlobalsAndPanelFactory{
	
	/**
	 * Add experiment variables as components to the user panel.
	 * 
	 */
	public void addGlobalsAndPanelComponents() {

		// Uncomment by removing "//" below to include ReLogo Tick Display
		//addReLogoTickCountDisplay()
		//FIXME: try this out

		//add a slider for starting number of tribes
		//min = 1, increment = 1, max = 10, default = 5
		addSliderWL("numberOfTribes", "# of tribes", 1, 1, 10, 5)

		//add a dropdown for experiments to run to user panel
		//default = Gatherer
		addChooserWL("experimentChoice", "Tribe type", ["Gatherer", "Hunter-gatherer", "Ideal Free Distribution", "Realistic Free Distribtion"], 0)

		//add a dropdown for display method for food resource
		//default = Histogram
		addChooserWL("drawOption", "Resource display method", ["None", "Histogram", "Patch colour"], 1)

	}
}